grib_api: Data Fields

- Main Page
- Modules
- Files
- Related Pages
- Examples

- File List
- Globals

- All
- Functions
- Typedefs
- Defines

- g

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - g -

- GRIB_7777_NOT_FOUND : grib_api.h
- GRIB_ARRAY_TOO_SMALL : grib_api.h
- GRIB_BUFFER_TOO_SMALL : grib_api.h
- GRIB_CODE_NOT_FOUND_IN_TABLE : grib_api.h
- GRIB_CONCEPT_NO_MATCH : grib_api.h
- GRIB_CONSTANT_FIELD : grib_api.h
- grib_context : grib_api.h
- grib_context_delete() : grib_api.h
- grib_context_get_default() : grib_api.h
- grib_context_get_user_data() : grib_api.h
- grib_context_new() : grib_api.h
- grib_context_set_buffer_memory_proc() : grib_api.h
- grib_context_set_dump_mode() : grib_api.h
- grib_context_set_logging_proc() : grib_api.h
- grib_context_set_memory_proc() : grib_api.h
- grib_context_set_path() : grib_api.h
- grib_context_set_persistent_memory_proc() : grib_api.h
- grib_context_set_print_proc() : grib_api.h
- grib_context_set_user_data() : grib_api.h
- grib_copy_namespace() : grib_api.h
- grib_count_in_file() : grib_api.h
- grib_data_eof_proc : grib_api.h
- grib_data_read_proc : grib_api.h
- grib_data_seek_proc : grib_api.h
- grib_data_tell_proc : grib_api.h
- grib_data_write_proc : grib_api.h
- GRIB_DECODING_ERROR : grib_api.h
- grib_dump_action_tree() : grib_api.h
- grib_dump_content() : grib_api.h
- GRIB_ENCODING_ERROR : grib_api.h
- GRIB_END : grib_api.h
- GRIB_END_OF_FILE : grib_api.h
- GRIB_END_OF_INDEX : grib_api.h
- GRIB_FILE_NOT_FOUND : grib_api.h
- grib_free_proc : grib_api.h
- GRIB_GEOCALCULUS_PROBLEM : grib_api.h
- grib_get_all_names() : grib_api.h
- grib_get_api_version() : grib_api.h
- grib_get_bytes() : grib_api.h
- grib_get_context() : grib_api.h
- grib_get_double() : grib_api.h
- grib_get_double_array() : grib_api.h
- grib_get_double_element() : grib_api.h
- grib_get_double_elements() : grib_api.h
- grib_get_error_message() : grib_api.h
- grib_get_long() : grib_api.h
- grib_get_long_array() : grib_api.h
- grib_get_message() : grib_api.h
- grib_get_message_copy() : grib_api.h
- grib_get_offset() : grib_api.h
- grib_get_size() : grib_api.h
- grib_get_string() : grib_api.h
- grib_gribex_mode_off() : grib_api.h
- grib_gribex_mode_on() : grib_api.h
- grib_gts_header_off() : grib_api.h
- grib_gts_header_on() : grib_api.h
- grib_handle : grib_api.h
- grib_handle_clone() : grib_api.h
- grib_handle_delete() : grib_api.h
- grib_handle_new_from_file() : grib_api.h
- grib_handle_new_from_index() : grib_api.h
- grib_handle_new_from_message() : grib_api.h
- grib_handle_new_from_message_copy() : grib_api.h
- grib_handle_new_from_multi_message() : grib_api.h
- grib_handle_new_from_samples() : grib_api.h
- grib_handle_new_from_template() : grib_api.h
- grib_index : grib_api.h
- grib_index_delete() : grib_api.h
- grib_index_get_double() : grib_api.h
- grib_index_get_long() : grib_api.h
- grib_index_get_size() : grib_api.h
- grib_index_get_string() : grib_api.h
- grib_index_new_from_file() : grib_api.h
- grib_index_select_double() : grib_api.h
- grib_index_select_long() : grib_api.h
- grib_index_select_string() : grib_api.h
- GRIB_INTERNAL_ARRAY_TOO_SMALL : grib_api.h
- GRIB_INTERNAL_ERROR : grib_api.h
- GRIB_INVALID_ARGUMENT : grib_api.h
- GRIB_INVALID_FILE : grib_api.h
- GRIB_INVALID_GRIB : grib_api.h
- GRIB_INVALID_INDEX : grib_api.h
- GRIB_INVALID_ITERATOR : grib_api.h
- GRIB_INVALID_KEYS_ITERATOR : grib_api.h
- GRIB_INVALID_MESSAGE : grib_api.h
- GRIB_INVALID_NEAREST : grib_api.h
- GRIB_INVALID_ORDERBY : grib_api.h
- GRIB_INVALID_SECTION_NUMBER : grib_api.h
- GRIB_INVALID_TYPE : grib_api.h
- GRIB_IO_PROBLEM : grib_api.h
- grib_iterator : grib_api.h
- grib_iterator_delete() : grib_api.h
- grib_iterator_has_next() : grib_api.h
- grib_iterator_new() : grib_api.h
- grib_iterator_next() : grib_api.h
- grib_iterator_previous() : grib_api.h
- grib_iterator_reset() : grib_api.h
- grib_keys_iterator : grib_api.h
- GRIB_KEYS_ITERATOR_ALL_KEYS : grib_api.h
- grib_keys_iterator_delete() : grib_api.h
- grib_keys_iterator_get_name() : grib_api.h
- grib_keys_iterator_new() : grib_api.h
- grib_keys_iterator_next() : grib_api.h
- grib_keys_iterator_rewind() : grib_api.h
- GRIB_KEYS_ITERATOR_SKIP_CODED : grib_api.h
- GRIB_KEYS_ITERATOR_SKIP_COMPUTED : grib_api.h
- GRIB_KEYS_ITERATOR_SKIP_DUPLICATES : grib_api.h
- GRIB_KEYS_ITERATOR_SKIP_EDITION_SPECIFIC : grib_api.h
- GRIB_KEYS_ITERATOR_SKIP_FUNCTION : grib_api.h
- GRIB_KEYS_ITERATOR_SKIP_OPTIONAL : grib_api.h
- GRIB_KEYS_ITERATOR_SKIP_READ_ONLY : grib_api.h
- grib_log_proc : grib_api.h
- grib_malloc_proc : grib_api.h
- GRIB_MESSAGE_TOO_LARGE : grib_api.h
- GRIB_MISSING_KEY : grib_api.h
- grib_multi_handle : grib_api.h
- grib_multi_handle_append() : grib_api.h
- grib_multi_handle_delete() : grib_api.h
- grib_multi_handle_new() : grib_api.h
- grib_multi_handle_write() : grib_api.h
- grib_multi_support_off() : grib_api.h
- grib_multi_support_on() : grib_api.h
- grib_nearest : grib_api.h
- grib_nearest_delete() : grib_api.h
- grib_nearest_find() : grib_api.h
- grib_nearest_find_multiple() : grib_api.h
- grib_nearest_new() : grib_api.h
- GRIB_NO_DEFINITIONS : grib_api.h
- GRIB_NO_MORE_IN_SET : grib_api.h
- GRIB_NO_VALUES : grib_api.h
- GRIB_NOT_FOUND : grib_api.h
- GRIB_NOT_IMPLEMENTED : grib_api.h
- GRIB_NULL_HANDLE : grib_api.h
- GRIB_NULL_INDEX : grib_api.h
- GRIB_OUT_OF_AREA : grib_api.h
- GRIB_OUT_OF_MEMORY : grib_api.h
- GRIB_PREMATURE_END_OF_FILE : grib_api.h
- grib_print_api_version() : grib_api.h
- grib_print_proc : grib_api.h
- GRIB_READ_ONLY : grib_api.h
- grib_realloc_proc : grib_api.h
- grib_set_bytes() : grib_api.h
- grib_set_double() : grib_api.h
- grib_set_double_array() : grib_api.h
- grib_set_long() : grib_api.h
- grib_set_long_array() : grib_api.h
- grib_set_string() : grib_api.h
- GRIB_STRING_TOO_SMALL_FOR_CODE_NAME : grib_api.h
- GRIB_SUCCESS : grib_api.h
- GRIB_SWITCH_NO_MATCH : grib_api.h
- GRIB_VALUE_CANNOT_BE_MISSING : grib_api.h
- GRIB_WRONG_ARRAY_SIZE : grib_api.h
- GRIB_WRONG_GRID : grib_api.h
- GRIB_WRONG_LENGTH : grib_api.h
- GRIB_WRONG_STEP : grib_api.h
- GRIB_WRONG_STEP_UNIT : grib_api.h
- GRIB_WRONG_TYPE : grib_api.h